Skip to main content
`Ctrl`+`K`

# is_arborescence

is_arborescence(G)

  Returns True if `G` is an arborescence.

  An arborescence is a directed tree with maximum in-degree equal to 1.

  Parameters:
    G graph

      The graph to test.

  Returns:
    b bool

      A boolean that is True if `G` is an arborescence.

  See also

  `is_tree`

  Notes

  In another convention, an arborescence is known as a tree.

  Examples

      >>> G = nx.DiGraph([(0, 1), (0, 2), (2, 3), (3, 4)])
      >>> nx.is_arborescence(G)
      True
      >>> G.remove_edge(0, 1)
      >>> G.add_edge(1, 2)  # maximum in-degree is 2
      >>> nx.is_arborescence(G)
      False